<?php
/**
 * The template for displaying the footer.
 *
 * Contains footer content and the closing of the
 * #main, .grid and #page div elements.
 *
 * @since 2.0.0
 */
$bavotasan_theme_options = bavotasan_theme_options();
?>
		</div><!-- .row -->

		<?php
		if ( ! empty( $bavotasan_theme_options['image_bar_display'] ) ) {
			?>
		<section id="image-bar" class="row">
			<div class="c12">
				<?php if ( get_cat_name( $bavotasan_theme_options['image_bar_category'] ) ) { ?>
					<h2 class="page-title"><?php echo get_cat_name( $bavotasan_theme_options['image_bar_category'] ); ?></h2>
				<?php
				}

				$posts_per_page = ( empty( $bavotasan_theme_options['image_bar_columns'] ) ) ? 6 : str_replace( 'c', '', $bavotasan_theme_options['image_bar_columns'] );
				$array = array(
					'3' => 4,
					'4' => 3,
					'2' => 6
				);

				$image_bar_query = new WP_Query( array(
					'posts_per_page' => $array[$posts_per_page],
					'cat' => (int) $bavotasan_theme_options['image_bar_category'],
					'ignore_sticky_posts' => 1,
					'no_found_rows' => true,
				) );

				if ( $image_bar_query->have_posts() ) :
					?>
					<div class="row">
						<?php
				        while ( $image_bar_query->have_posts() ) : $image_bar_query->the_post();
				        	?>
				        	<div class="<?php echo $bavotasan_theme_options['image_bar_columns']; ?>">
								<?php
								$permalink = get_permalink();
								if ( has_post_thumbnail() ) {
				                    echo '<a href="' . $permalink . '">';
									the_post_thumbnail( 'image-bar' );
									echo '</a>';
								}
								?>
								<p><a href="<?php echo $permalink; ?>"><?php the_title(); ?></a></p>
				            </div>
				            <?php
				        endwhile;
				        ?>
					</div>
					<?php
				endif;

		        wp_reset_postdata();
		        ?>
			</div>
		</section>
		<?php } ?>
	</div> <!-- #main -->

</div> <!-- #page.grid -->

<footer id="footer" role="contentinfo">
	<div id="footer-content" class="grid <?php echo $bavotasan_theme_options['width']; ?>">
		<div class="row">
			<?php dynamic_sidebar( 'extended-footer' ); ?>
		</div><!-- .row -->

		<div class="row">
			<p class="copyright c12">
				<?php $class = ( is_active_sidebar( 'extended-footer' ) ) ? ' active' : ''; ?>
				<span class="line<?php echo $class; ?>"></span>
				<span class="fl"><?php echo wp_kses_post( html_entity_decode( $bavotasan_theme_options['copyright'] ) ); ?></span>
				<span class="fr"><?php printf( __( 'The %1$s Theme by %2$s.', 'magazine-premium' ), BAVOTASAN_THEME_NAME, '<a href="https://themes.bavotasan.com/">bavotasan.com</a>' ); ?></span>
			</p><!-- .c12 -->
		</div><!-- .row -->
	</div><!-- #footer-content.grid -->
</footer><!-- #footer -->

<?php wp_footer(); ?>
<!-- Magazine Premium created by c.bavota - http://themes.bavotasan.com -->
</body>
</html>