<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @since 2.0.0
 */
$bavotasan_theme_options = bavotasan_theme_options();
get_header(); ?>

	<div id="primary" <?php bavotasan_primary_attr(); ?> role="main">

		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<?php
				if ( is_page() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				endif;
				?>

			    <div class="entry-content">
					<?php the_content( $bavotasan_theme_options['read_more'] ); ?>
			    </div><!-- .entry-content -->

			    <?php get_template_part( 'template-parts/content', 'footer' ); ?>
			</article><!-- #post-<?php the_ID(); ?> -->

			<?php comments_template( '', true ); ?>
		<?php endwhile; // end of the loop. ?>

	</div><!-- #primary.c8 -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>